Bug 964406 - java-1.8.0-openjdk-devel: Fails to compile any source
java-1.8.0-openjdk-devel: Fails to compile any source
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 04:33 EDT by Mikolaj Izdebski
Modified: 2013-07-11 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:12:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-05-18 04:33:06 EDT
Description of problem:
javac fails to compile any Java source:

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-devel-1.8.0.0-0.6.b89.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
$ cat test.java
class test {
  public static void main(String[] _) {
    System.out.printf("HELLO\n");
  }
}
$ javac test.java
$ stat test.class
  
Actual results:
Error: Could not find or load main class com.sun.tools.javac.Main
stat: cannot stat 'test.class': No such file or directory

Expected results:
No error.
test.class is generated
Comment 1 Fedora Update System 2013-06-03 17:49:23 EDT
java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
Comment 2 Fedora Update System 2013-06-04 22:36:28 EDT
Package java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10066/java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-11 23:12:20 EDT
java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.